Debian Bug report logs - #634143
libpodofo0.8.0: Please Build-Depends on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:libpodofo0.8.0; Maintainer for src:libpodofo0.8.0 is Oleksandr Moskalenko <malex@debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Sun, 17 Jul 2011 08:42:01 UTC

Severity: serious

Tags: patch

Found in version libpodofo0.8.0/0.8.0+svn20100512-1

Fixed in version libpodofo0.8.0/0.8.0+svn20100512-1.1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#634143; Package src:libpodofo0.8.0. (Sun, 17 Jul 2011 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Sun, 17 Jul 2011 08:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: libpodofo0.8.0: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Sun, 17 Jul 2011 10:39:01 +0200
Source: libpodofo0.8.0
Version: 0.8.0+svn20100512-1
Severity: important

Hello Oleksandr,

We are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update libpodofo0.8.0 to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

The following Build-Depends was found:

libpodofo0.8.0 	:Build-Depends: libjpeg62-dev 
libpodofo 	:Build-Depends: libjpeg62-dev 

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 21:22:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#634143; Package src:libpodofo0.8.0. (Wed, 09 Nov 2011 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to odyx@debian.org:
Extra info received and forwarded to list. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Wed, 09 Nov 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #12 received at 634143@bugs.debian.org (full text, mbox):

From: odyx@debian.org
To: 634143@bugs.debian.org
Subject: libpodofo0.8.0: diff for NMU version 0.8.0+svn20100512-1.1
Date: Wed, 09 Nov 2011 16:39:17 +0100
tags 634143 + patch
tags 634143 + pending
thanks

Dear maintainer,

I've prepared an NMU for libpodofo0.8.0 (versioned as 0.8.0+svn20100512-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
diff -u libpodofo0.8.0-0.8.0+svn20100512/debian/control libpodofo0.8.0-0.8.0+svn20100512/debian/control
--- libpodofo0.8.0-0.8.0+svn20100512/debian/control
+++ libpodofo0.8.0-0.8.0+svn20100512/debian/control
@@ -1,7 +1,7 @@
 Source: libpodofo0.8.0
 Priority: extra
 Maintainer: Oleksandr Moskalenko <malex@debian.org>
-Build-Depends: debhelper (>= 7), cmake, zlib1g-dev, libtiff4-dev, libjpeg62-dev, libfreetype6-dev, libfontconfig1-dev
+Build-Depends: debhelper (>= 7), cmake, zlib1g-dev, libtiff4-dev, libjpeg-dev, libfreetype6-dev, libfontconfig1-dev
 Standards-Version: 3.8.4
 Section: libdevel
 Homepage: http://podofo.sourceforge.net/
diff -u libpodofo0.8.0-0.8.0+svn20100512/debian/changelog libpodofo0.8.0-0.8.0+svn20100512/debian/changelog
--- libpodofo0.8.0-0.8.0+svn20100512/debian/changelog
+++ libpodofo0.8.0-0.8.0+svn20100512/debian/changelog
@@ -1,3 +1,18 @@
+libpodofo0.8.0 (0.8.0+svn20100512-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  
+  [ Didier Raboud ]
+  * Build-Depends against libjpeg-dev, not libjpeg62-dev (Closes: #634143).
+  * Import Ubuntu patch from libpodofo to fix build against the multiarch'ed
+    libfreetype.
+  
+  [ Ubuntu: Philip Muskovac & Daniel T Chen ]
+  * debian/rules: export DEB_HOST_MULTIARCH for the freetype patch.
+  * Add multiarch directory to cmake search path for freetype.
+
+ -- Didier Raboud <odyx@debian.org>  Wed, 09 Nov 2011 16:34:50 +0100
+
 libpodofo0.8.0 (0.8.0+svn20100512-1) unstable; urgency=low
 
   * Initial release (Closes: #431809).
diff -u libpodofo0.8.0-0.8.0+svn20100512/debian/rules libpodofo0.8.0-0.8.0+svn20100512/debian/rules
--- libpodofo0.8.0-0.8.0+svn20100512/debian/rules
+++ libpodofo0.8.0-0.8.0+svn20100512/debian/rules
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 # shared library versions, option 1
 version=0.8.0
 major=0
only in patch2:
unchanged:
--- libpodofo0.8.0-0.8.0+svn20100512.orig/cmake/modules/FindFREETYPE.cmake
+++ libpodofo0.8.0-0.8.0+svn20100512/cmake/modules/FindFREETYPE.cmake
@@ -41,7 +41,7 @@
 SET(FREETYPE_LIBRARY_NAMES_DEBUG ${FREETYPE_LIBRARY_NAMES_DEBUG} freetyped libfreetyped)
 SET(FREETYPE_LIBRARY_NAMES_RELEASE ${FREETYPE_LIBRARY_NAMES_RELEASE} freetype libfreetype)
 
-SET(FREETYPE_LIB_PATHS /usr/lib /usr/local/lib)
+SET(FREETYPE_LIB_PATHS /usr/lib /usr/local/lib /usr/lib/$ENV{DEB_HOST_MULTIARCH})
 
 FIND_LIBRARY(FREETYPE_LIBRARY_RELEASE
   ${FREETYPE_LIBRARY_NAMES_RELEASE}




Added tag(s) patch. Request was from odyx@debian.org to control@bugs.debian.org. (Wed, 09 Nov 2011 15:54:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from odyx@debian.org to control@bugs.debian.org. (Wed, 09 Nov 2011 15:54:05 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Fri, 11 Nov 2011 16:21:03 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Fri, 11 Nov 2011 16:21:03 GMT) Full text and rfc822 format available.

Message #21 received at 634143-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 634143-close@bugs.debian.org
Subject: Bug#634143: fixed in libpodofo0.8.0 0.8.0+svn20100512-1.1
Date: Fri, 11 Nov 2011 16:18:43 +0000
Source: libpodofo0.8.0
Source-Version: 0.8.0+svn20100512-1.1

We believe that the bug you reported is fixed in the latest version of
libpodofo0.8.0, which is due to be installed in the Debian FTP archive:

libpodofo-dev_0.8.0+svn20100512-1.1_amd64.deb
  to main/libp/libpodofo0.8.0/libpodofo-dev_0.8.0+svn20100512-1.1_amd64.deb
libpodofo-utils_0.8.0+svn20100512-1.1_amd64.deb
  to main/libp/libpodofo0.8.0/libpodofo-utils_0.8.0+svn20100512-1.1_amd64.deb
libpodofo0.8.0_0.8.0+svn20100512-1.1.diff.gz
  to main/libp/libpodofo0.8.0/libpodofo0.8.0_0.8.0+svn20100512-1.1.diff.gz
libpodofo0.8.0_0.8.0+svn20100512-1.1.dsc
  to main/libp/libpodofo0.8.0/libpodofo0.8.0_0.8.0+svn20100512-1.1.dsc
libpodofo0.8.0_0.8.0+svn20100512-1.1_amd64.deb
  to main/libp/libpodofo0.8.0/libpodofo0.8.0_0.8.0+svn20100512-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634143@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated libpodofo0.8.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 09 Nov 2011 16:34:50 +0100
Source: libpodofo0.8.0
Binary: libpodofo-dev libpodofo-utils libpodofo0.8.0
Architecture: source amd64
Version: 0.8.0+svn20100512-1.1
Distribution: unstable
Urgency: low
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 libpodofo-dev - podofo development files
 libpodofo-utils - library to work with the PDF file format - utilities
 libpodofo0.8.0 - library to work with the PDF file format
Closes: 634143
Changes: 
 libpodofo0.8.0 (0.8.0+svn20100512-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Didier Raboud ]
   * Build-Depends against libjpeg-dev, not libjpeg62-dev (Closes: #634143).
   * Import Ubuntu patch from libpodofo to fix build against the multiarch'ed
     libfreetype.
 .
   [ Ubuntu: Philip Muskovac & Daniel T Chen ]
   * debian/rules: export DEB_HOST_MULTIARCH for the freetype patch.
   * Add multiarch directory to cmake search path for freetype.
Checksums-Sha1: 
 94014f9693942064fb5141eef4cd6d67800407e8 1838 libpodofo0.8.0_0.8.0+svn20100512-1.1.dsc
 74b9143419db5f2dcbcd9263ff3754756cae619a 2933 libpodofo0.8.0_0.8.0+svn20100512-1.1.diff.gz
 adcae51c4227043517fe579de7e60e23de909d3b 184782 libpodofo-dev_0.8.0+svn20100512-1.1_amd64.deb
 78089f6fb7129c29144dbd050fcf873560dc2718 118072 libpodofo-utils_0.8.0+svn20100512-1.1_amd64.deb
 7d43e4cea0309e0428ae10c13a6c1adbbfcf8869 596546 libpodofo0.8.0_0.8.0+svn20100512-1.1_amd64.deb
Checksums-Sha256: 
 f4377c980405eecc5585c849877ac4ed0c8701bed858d34513741bb3ed6c7cc6 1838 libpodofo0.8.0_0.8.0+svn20100512-1.1.dsc
 b39574ca6d4ae3584a10284d20a84be0f486a97884cb556844e01167d4229a6f 2933 libpodofo0.8.0_0.8.0+svn20100512-1.1.diff.gz
 01745fc6f0a4b3407d802408354283fbf1f044b094dbdf69887b34e235006f21 184782 libpodofo-dev_0.8.0+svn20100512-1.1_amd64.deb
 c5cab86de735fa73f1c75350123e044e71e0afa0d73ff11fd821a073798a3761 118072 libpodofo-utils_0.8.0+svn20100512-1.1_amd64.deb
 45e5f5ea15face0550aab2e5ca9d4ed62b5185aaa44ae107c8a047d0c8124d3c 596546 libpodofo0.8.0_0.8.0+svn20100512-1.1_amd64.deb
Files: 
 a30d73b358d5a0bf5e5269d2f97aadb2 1838 libdevel extra libpodofo0.8.0_0.8.0+svn20100512-1.1.dsc
 8db7d2d6fc920d54ea4abeb9f5d954de 2933 libdevel extra libpodofo0.8.0_0.8.0+svn20100512-1.1.diff.gz
 aaa2e2196173f5245cdba90bac50218b 184782 libdevel extra libpodofo-dev_0.8.0+svn20100512-1.1_amd64.deb
 d7611f3cf2b69dda507ca0d967733c85 118072 libdevel extra libpodofo-utils_0.8.0+svn20100512-1.1_amd64.deb
 90d7da3dc2b08bb6f20195a67a2004d1 596546 libs extra libpodofo0.8.0_0.8.0+svn20100512-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOuqGDAAoJEIvPpx7KFjRVqVsL/0ThDgiLByD2S1WA7qvPMolI
tlC1IswILd2sFf3cF6bnJQWPaXBUqBC8Rgk86RbnefrOv4OPoHreXZusheEkS1Sk
EzhUPg14ahFhjUJ1sm/hyV2ckba7vfYbBrs7vKy4iPoUfdGnlBNXH8tbO2xffcCm
7wHtloxgU7P9m8ijUn9+zL6ggNUohmO0LsJCVotzNLJSZdQ++wkGgAX0pMWAHmEI
xAMpKsnraT3a1BgzklTP53K7h+OLCi2g+4NP0Yt/ZDm65YNF6iJYyTX2SKRuRB8L
dQg7GdE7tQRxs7kOCIBxYUEXMfEZRW1qoiq3rdGTshfyfGPGZ2ypWzUrnr5Zhx5G
RLUJqGyfeKVhfzyvjk25zdk8RuRjQC4ZYa1aa0zrqWIpECr9rCk8ErevEqASZH/G
sqZ4R/tcK5cQsi6/N+6+L5KZiGqeuT5k0hUem2a6sNR8aIw9x44DVpuTYZpqgcLn
NUrVAwlFiwH+dpVrGXcUNGqL5x9RZC3EJXFloM1AEA==
=amYN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:44:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:00:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.